Skip to main content
npayload is launching soon.
npayloadDocs
API ReferenceWorkflows

List workflows

GET/v1/workflows

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key authentication. Keys are prefixed with environment:

  • npk_live_ for production
  • npk_test_ for testing/staging

In: header

Query Parameters

cursor?string

Pagination cursor for next page

limit?integer

Maximum number of items to return

Default20
Range1 <= value <= 100
status?string
Value in"active" | "paused" | "draft"

Response Body

application/json

application/json

curl -X GET "https://api.npayload.com/v1/workflows"
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "status": "active",
      "trigger": {
        "type": "event",
        "config": {}
      },
      "steps": [
        {
          "id": "string",
          "type": "action",
          "config": {},
          "next": "string"
        }
      ],
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "cursor": "string",
    "hasMore": true
  }
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Invalid or missing API key"
  }
}

Was this page helpful?